<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="../style/steps.css" rel="stylesheet">
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
    <title>Monitorowanie testów i nadzór nad nimi</title>
</head>
<body>
<div class="rule-container">
    <div class="row">
        <div class="rule-number">2</div>
        <div class="rule-header">Monitorowanie testów i nadzór nad nimi</div>
    </div>
    <div class="rule-text-animation-container">
        <div class="rule-text"><p>Monitorowanie testów polega na ciągłym porównywaniu rzeczywistego z zaplanowanym
            postępem
            testowania przy użyciu miar specjalnie w tym celu zdefiniowanych w planie testów. Nadzór nad testami
            polega
            na podejmowaniu działań, które są niezbędne do osiągnięcia celów wyznaczonych w planie testów (z
            uwzględnieniem jego ewentualnych aktualizacji). Elementem wspomagającym monitorowanie testów i nadzór
            nad
            nimi, jest ocena kryteriów wyjścia, które w przypadku niektórych cykli życia są również nazywane
            „definicją
            ukończenia”. Ocena kryteriów wyjścia dla wykonania testów na określonym poziomie testów może
            obejmować:</p>
            <ul>
                <li>sprawdzenie rezultatów testów i dziennika testów pod kątem określonych kryteriów pokrycia;</li>
                <li>oszacowanie poziomu jakości modułu lub systemu na podstawie rezultatów testów i dziennika
                    testów;
                </li>
                <li>ustalenie, czy są konieczne dalsze testy (np. w przypadku nieosiągnięcia przez dotychczas
                    wykonane
                    testy pierwotnie założonego poziomu pokrycia ryzyka produktowego, co wiąże się z koniecznością
                    napisania i wykonania dodatkowych testów).
                </li>
            </ul>
            <p>Interesariusze są informowani o postępie w realizacji planu testów za pomocą raportów o postępie
                testów,
                które zawierają między innymi informacje o ewentualnych odchyleniach od planu oraz informacje
                pomagające
                uzasadnić podjęcie decyzji o wstrzymaniu testowania.</p>
        </div>
    </div>
</div>
</body>
</html>
